Package org.eclipse.birt.chart.model.data

# Interface SeriesDefinition

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `SeriesDefinitionImpl`

public interface SeriesDefinition extends IChartObject
A representation of the model object 'Series Definition'. This type represents design-time definition for a series.

The following features are supported:

- `Query`
- `Series Palette`
- `Series Definitions`
- `Format Specifier`
- `Series`
- `Grouping`
- `Sorting`
- `Sort Key`
- `Sort Locale`
- `Sort Strength`
- `ZOrder`

See Also:
  - `DataPackage.getSeriesDefinition()`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SeriesDefinition[]`
`EMPTY_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`SeriesDefinition`
`copyInstance()`
`Series`
`getDesignTimeSeries()`
`FormatSpecifier`
`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
`SeriesGrouping`
`getGrouping()`
Returns the value of the 'Grouping' containment reference.
`Query`
`getQuery()`
Returns the value of the 'Query' containment reference.
`List<Series>`
`getRunTimeSeries()`
`org.eclipse.emf.common.util.EList<Series>`
`getSeries()`
Returns the value of the 'Series' containment reference list.
`org.eclipse.emf.common.util.EList<SeriesDefinition>`
`getSeriesDefinitions()`
Returns the value of the 'Series Definitions' containment reference list.
`Palette`
`getSeriesPalette()`
Returns the value of the 'Series Palette' containment reference.
`SortOption`
`getSorting()`
Returns the value of the 'Sorting' attribute.
`Query`
`getSortKey()`
Returns the value of the 'Sort Key' containment reference.
`String`
`getSortLocale()`
Returns the value of the 'Sort Locale' attribute.
`int`
`getSortStrength()`
Returns the value of the 'Sort Strength' attribute.
`int`
`getZOrder()`
Returns the value of the 'ZOrder' attribute.
`boolean`
`isSetSorting()`
Returns whether the value of the '`Sorting`' attribute is set.
`boolean`
`isSetSortStrength()`
Returns whether the value of the '`Sort Strength`' attribute is set.
`boolean`
`isSetZOrder()`
Returns whether the value of the '`ZOrder`' attribute is set.
`void`
`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.
`void`
`setGrouping(SeriesGrouping value)`
Sets the value of the '`Grouping`' containment reference.
`void`
`setQuery(Query value)`
Sets the value of the '`Query`' containment reference.
`void`
`setSeriesPalette(Palette value)`
Sets the value of the '`Series Palette`' containment reference.
`void`
`setSorting(SortOption value)`
Sets the value of the '`Sorting`' attribute.
`void`
`setSortKey(Query value)`
Sets the value of the '`Sort Key`' containment reference.
`void`
`setSortLocale(String value)`
Sets the value of the '`Sort Locale`' attribute.
`void`
`setSortStrength(int value)`
Sets the value of the '`Sort Strength`' attribute.
`void`
`setZOrder(int value)`
Sets the value of the '`ZOrder`' attribute.
`void`
`unsetSorting()`
Unsets the value of the '`Sorting`' attribute.
`void`
`unsetSortStrength()`
Unsets the value of the '`Sort Strength`' attribute.
`void`
`unsetZOrder()`
Unsets the value of the '`ZOrder`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### EMPTY_ARRAY

static final SeriesDefinition[] EMPTY_ARRAY

## Method Details

### getQuery

Query getQuery()
Returns the value of the 'Query' containment reference.

Returns:
  the value of the 'Query' containment reference.
See Also:
  - `setQuery(Query)`
  - `DataPackage.getSeriesDefinition_Query()`

### setQuery

void setQuery(Query value)
Sets the value of the '`Query`' containment reference.

Parameters:
  `value` - the new value of the 'Query' containment reference.
See Also:
  - `getQuery()`

### getSeriesPalette

Palette getSeriesPalette()
Returns the value of the 'Series Palette' containment reference. Gets the palette associated with the series definiton instance. This palette will be used to determine the sequence of colors for the series that are represented by this definition.

Returns:
  the value of the 'Series Palette' containment reference.
See Also:
  - `setSeriesPalette(Palette)`
  - `DataPackage.getSeriesDefinition_SeriesPalette()`

### setSeriesPalette

void setSeriesPalette(Palette value)
Sets the value of the '`Series Palette`' containment reference.

Parameters:
  `value` - the new value of the 'Series Palette' containment reference.
See Also:
  - `getSeriesPalette()`

### getSeriesDefinitions

org.eclipse.emf.common.util.EList<SeriesDefinition> getSeriesDefinitions()
Returns the value of the 'Series Definitions' containment reference list. The list contents are of type `SeriesDefinition`.

Returns:
  the value of the 'Series Definitions' containment reference list.
See Also:
  - `DataPackage.getSeriesDefinition_SeriesDefinitions()`

### getFormatSpecifier

FormatSpecifier getFormatSpecifier()
Returns the value of the 'Format Specifier' containment reference.

Returns:
  the value of the 'Format Specifier' containment reference.
See Also:
  - `setFormatSpecifier(FormatSpecifier)`
  - `DataPackage.getSeriesDefinition_FormatSpecifier()`

### setFormatSpecifier

void setFormatSpecifier(FormatSpecifier value)
Sets the value of the '`Format Specifier`' containment reference.

Parameters:
  `value` - the new value of the 'Format Specifier' containment reference.
See Also:
  - `getFormatSpecifier()`

### getSeries

org.eclipse.emf.common.util.EList<Series> getSeries()
Returns the value of the 'Series' containment reference list. The list contents are of type `Series`. Holds all the series for the chart.

Returns:
  the value of the 'Series' containment reference list.
See Also:
  - `DataPackage.getSeriesDefinition_Series()`

### getGrouping

SeriesGrouping getGrouping()
Returns the value of the 'Grouping' containment reference. Defines if and how the series data is to be grouped for display. This should only be applied to Base Series.

Returns:
  the value of the 'Grouping' containment reference.
See Also:
  - `setGrouping(SeriesGrouping)`
  - `DataPackage.getSeriesDefinition_Grouping()`

### setGrouping

void setGrouping(SeriesGrouping value)
Sets the value of the '`Grouping`' containment reference.

Parameters:
  `value` - the new value of the 'Grouping' containment reference.
See Also:
  - `getGrouping()`

### getSorting

SortOption getSorting()
Returns the value of the 'Sorting' attribute. The default value is `"Ascending"`. The literals are from the enumeration `SortOption`. Defines if and how the series data is to be sorted for display. This should only be applied to Base Series.

Returns:
  the value of the 'Sorting' attribute.
See Also:
  - `SortOption`
  - `isSetSorting()`
  - `unsetSorting()`
  - `setSorting(SortOption)`
  - `DataPackage.getSeriesDefinition_Sorting()`

### setSorting

void setSorting(SortOption value)
Sets the value of the '`Sorting`' attribute.

Parameters:
  `value` - the new value of the 'Sorting' attribute.
See Also:
  - `SortOption`
  - `isSetSorting()`
  - `unsetSorting()`
  - `getSorting()`

### unsetSorting

void unsetSorting()
Unsets the value of the '`Sorting`' attribute.

See Also:
  - `isSetSorting()`
  - `getSorting()`
  - `setSorting(SortOption)`

### isSetSorting

boolean isSetSorting()
Returns whether the value of the '`Sorting`' attribute is set.

Returns:
  whether the value of the 'Sorting' attribute is set.
See Also:
  - `unsetSorting()`
  - `getSorting()`
  - `setSorting(SortOption)`

### getSortKey

Query getSortKey()
Returns the value of the 'Sort Key' containment reference.

If the meaning of the 'Sort Key' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Sort Key' containment reference.
See Also:
  - `setSortKey(Query)`
  - `DataPackage.getSeriesDefinition_SortKey()`

### setSortKey

void setSortKey(Query value)
Sets the value of the '`Sort Key`' containment reference.

Parameters:
  `value` - the new value of the 'Sort Key' containment reference.
See Also:
  - `getSortKey()`

### getSortLocale

String getSortLocale()
Returns the value of the 'Sort Locale' attribute. Specifies the locale on which the sorting will base, the value is the locale ID of `com.ibm.icu.util.ULocale`.

Returns:
  the value of the 'Sort Locale' attribute.
See Also:
  - `setSortLocale(String)`
  - `DataPackage.getSeriesDefinition_SortLocale()`

### setSortLocale

void setSortLocale(String value)
Sets the value of the '`Sort Locale`' attribute.

Parameters:
  `value` - the new value of the 'Sort Locale' attribute.
See Also:
  - `getSortLocale()`

### getSortStrength

int getSortStrength()
Returns the value of the 'Sort Strength' attribute. Specifies the strength of sorting, this attribute just uses the field values defined in `com.ibm.icu.text.Collator`. The available values are ASCII=-1, PRIMARY=0, SECONDARY=1,TERTIARY=2,QUATERNARY=3,IDENTICAL=15.

Returns:
  the value of the 'Sort Strength' attribute.
See Also:
  - `isSetSortStrength()`
  - `unsetSortStrength()`
  - `setSortStrength(int)`
  - `DataPackage.getSeriesDefinition_SortStrength()`

### setSortStrength

void setSortStrength(int value)
Sets the value of the '`Sort Strength`' attribute.

Parameters:
  `value` - the new value of the 'Sort Strength' attribute.
See Also:
  - `isSetSortStrength()`
  - `unsetSortStrength()`
  - `getSortStrength()`

### unsetSortStrength

void unsetSortStrength()
Unsets the value of the '`Sort Strength`' attribute.

See Also:
  - `isSetSortStrength()`
  - `getSortStrength()`
  - `setSortStrength(int)`

### isSetSortStrength

boolean isSetSortStrength()
Returns whether the value of the '`Sort Strength`' attribute is set.

Returns:
  whether the value of the 'Sort Strength' attribute is set.
See Also:
  - `unsetSortStrength()`
  - `getSortStrength()`
  - `setSortStrength(int)`

### getZOrder

int getZOrder()
Returns the value of the 'ZOrder' attribute. The default value is `"0"`. Specifies Z order among multiple series renderers. Default value is 0. The series renderer with higher z order value will overlay the one with lower value.

Returns:
  the value of the 'ZOrder' attribute.
See Also:
  - `isSetZOrder()`
  - `unsetZOrder()`
  - `setZOrder(int)`
  - `DataPackage.getSeriesDefinition_ZOrder()`

### setZOrder

void setZOrder(int value)
Sets the value of the '`ZOrder`' attribute.

Parameters:
  `value` - the new value of the 'ZOrder' attribute.
See Also:
  - `isSetZOrder()`
  - `unsetZOrder()`
  - `getZOrder()`

### unsetZOrder

void unsetZOrder()
Unsets the value of the '`ZOrder`' attribute.

See Also:
  - `isSetZOrder()`
  - `getZOrder()`
  - `setZOrder(int)`

### isSetZOrder

boolean isSetZOrder()
Returns whether the value of the '`ZOrder`' attribute is set.

Returns:
  whether the value of the 'ZOrder' attribute is set.
See Also:
  - `unsetZOrder()`
  - `getZOrder()`
  - `setZOrder(int)`

### getDesignTimeSeries

Series getDesignTimeSeries()

Returns:
  The design-time series associated with the series definition

### getRunTimeSeries

List<Series> getRunTimeSeries()

Returns:
  The runtime-time series' associated with the series definition

### copyInstance

SeriesDefinition copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`